Bug 973794 - [abrt] gnome-color-manager-3.8.2-1.fc19: _cairo_image_analyze_color: Process /usr/bin/gcm-calibrate was killed by signal 11 (SIGSEGV)
[abrt] gnome-color-manager-3.8.2-1.fc19: _cairo_image_analyze_color: Process ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-color-manager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:52ad50c036e8a37f38b9335c3be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 14:39 EDT by Paul Finnigan
Modified: 2015-02-17 10:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:33:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.17 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: core_backtrace (3.19 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: dso_list (12.86 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: environ (1.28 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: maps (60.42 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: open_fds (1.07 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details
File: var_log_messages (13.20 KB, text/plain)
2013-06-12 14:39 EDT, Paul Finnigan
no flags Details

  None (edit)
Description Paul Finnigan 2013-06-12 14:39:02 EDT
Description of problem:
I was calibrating my printer using a Color-Munki. Problem occurs before the patches are printed.

I have not been able to use the Color-Munki for prnter profiling since at least Fedora 17 because of similar problems.

Version-Release number of selected component:
gnome-color-manager-3.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gcm-calibrate --device cups-iP5200 --parent-window 37748747
crash_function: _cairo_image_analyze_color
executable:     /usr/bin/gcm-calibrate
kernel:         3.9.4-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cairo_image_analyze_color at cairo-image-surface.c:1249
 #1 _cairo_pdf_surface_emit_image at cairo-pdf-surface.c:2390
 #2 _cairo_pdf_surface_emit_image_surface at cairo-pdf-surface.c:2656
 #3 _cairo_pdf_surface_emit_surface at cairo-pdf-surface.c:2768
 #4 _cairo_pdf_surface_write_patterns_and_smask_groups at cairo-pdf-surface.c:5986
 #5 _cairo_pdf_surface_write_page at cairo-pdf-surface.c:6084
 #6 _cairo_pdf_surface_show_page at cairo-pdf-surface.c:4262
 #7 INT_cairo_surface_show_page at cairo-surface.c:2320
 #8 _cairo_paginated_surface_show_page at cairo-paginated-surface.c:513
 #9 INT_cairo_surface_show_page at cairo-surface.c:2320

Potential duplicate: bug 894182
Comment 1 Paul Finnigan 2013-06-12 14:39:06 EDT
Created attachment 760298 [details]
File: backtrace
Comment 2 Paul Finnigan 2013-06-12 14:39:09 EDT
Created attachment 760299 [details]
File: cgroup
Comment 3 Paul Finnigan 2013-06-12 14:39:13 EDT
Created attachment 760300 [details]
File: core_backtrace
Comment 4 Paul Finnigan 2013-06-12 14:39:16 EDT
Created attachment 760301 [details]
File: dso_list
Comment 5 Paul Finnigan 2013-06-12 14:39:19 EDT
Created attachment 760302 [details]
File: environ
Comment 6 Paul Finnigan 2013-06-12 14:39:23 EDT
Created attachment 760303 [details]
File: limits
Comment 7 Paul Finnigan 2013-06-12 14:39:26 EDT
Created attachment 760304 [details]
File: maps
Comment 8 Paul Finnigan 2013-06-12 14:39:29 EDT
Created attachment 760305 [details]
File: open_fds
Comment 9 Paul Finnigan 2013-06-12 14:39:32 EDT
Created attachment 760306 [details]
File: proc_pid_status
Comment 10 Paul Finnigan 2013-06-12 14:39:35 EDT
Created attachment 760307 [details]
File: var_log_messages
Comment 11 rminkler 2013-11-24 21:50:15 EST
I believe I am also affected by this bug, both on Arch linux and using the Fedora 20 live CD. I'm also trying to calibrate my printer with a colormunki, and gcm-calibrate crashes before the patches are sent to the printer.
Comment 12 Paul Finnigan 2013-12-11 04:33:09 EST
Just confirming that this is still a problem for me on Fedora 20 (Beta) built from live DVD (x86_64) using colord-1.1.5-0.481.20131210git.fc20.x86_64.rpm
Comment 13 Fedora End Of Life 2015-01-09 13:24:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:33:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.